<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<?php

// To customize this PHP script for your church or Bible study group,
// adjust (at least) the following three lines:

$churchname = "First Baptist Church of AnyTown USA";   // $churchname = "<a href=\"http://www.anysoldier.com/\">AnySoldier.com</a> Community";
$contact = "For questions, contact Carmen at (919) 718-4983";
$timezone = 5;  // 5=EST; change to 6 for CST, 7 for MST, or 8 for PST.
                // (For other timezones, some editing of the PHP code is needed.)

// If hosting 2 or more churches on the same server, make a copy of this
// .php file, and change the following file name for at least one of the
// copies:
$datafile = "choose_any_filename.csv";

$number_of_slots = 36;  // number of half-hour timeslots for sign up

// first time-slot is 1/29, 7:00pm EST:
$month = 1;
$date = 29;
$hour = 24-$timezone;  // 24-5=19,  19:00 = 7pm EST
$min = 0;

// In addition, you might want to change some of the links -- just look
// for "prayer_coverage" in the text.  (An idiosyncracy of my server
// is that php only works if you use the :8080 port number.)

// This PHP code was tested with PHP version 4.3.6.  To use it with versions
// of PHP prior to 4.1.0 will require changing the $_REQUEST and $_SERVER
// references to use $HTTP_POST_VARS and $HTTP_SERVER_VARS, respectively.
// (Other minor changes might also be necessary.)

// This PHP & HTML source code is uncopyrighted.
// For confirmation of that fact, or for assistance, contact the author:
// Dave Burton
// Burton Systems Software
// www.burtonsys.com
// W.Tel: +1 919-481-0149
// H.Tel: +1 919-481-0098
// email: support at burtonsys.com


// This script can be run two ways:
// 1) just go to the web site, or
// 2) click on the button and it'll reload itself to do something
//
// It tells the difference by looking at the $_REQUEST['gosubmit']
// variable, which should be 'Submit', 'Report', or 'View Churches"

$reloaded = isset($_REQUEST['gosubmit']);  // True or False

?>
<head>
<?php
// no tags in the title
$tmp = preg_replace( '/\<[^\>]+\>/', '', $churchname );
echo "  <title>$tmp - Prayer Vigil Signup for Iraqi Election</title>\n";
?>
  <basefont face="Arial">
  <style type="text/css">
   <!--
    /* body { font: normal normal 11pt arial,verdana,helvetica,sans-serif; text-align:justify; width:580px; } */
    body { font-family: arial,verdana,helvetica,sans-serif; text-align:justify; width:580px; }
    ul { padding-bottom:0; margin-bottom:0 }  /* prevent extra blank line after bullet-list in IE */
    h4 { margin-top:3px; margin-bottom:3px; }
    h3 { margin-top:5px; margin-bottom:5px; }  /* not so much whitespace between headlines */
    h2 { margin-top:12px; margin-bottom:5px; }
   -->
  </style>
</head>

<?php

$datarecs = 0;


// from  http://www.php.net/manual/en/function.fputcsv.php
function fputcsv($handle, $row, $fd=',', $quot='"') {
   $str='';
   foreach ($row as $cell) {
       $cell=str_replace(Array($quot,        "\n"),
                         Array($quot.$quot,  ''),
                         $cell);
       if (strchr($cell, $fd)!==FALSE || strchr($cell, $quot)!==FALSE) {
           $str.=$quot.$cell.$quot.$fd;
       } else {
           $str.=$cell.$fd;
       }
   }
   fputs($handle, substr($str, 0, -1)."\n");
   return strlen($str);
}


// fill in 2-dimensional array of saved data
function load_datafile() {
  global $datafile, $dataarray, $numdatarecs;
  $fh = fopen( $datafile, "rb" );
  // if open fails, then nobody is signed up yet
  $numdatarecs = 0;
  $dataarray = array();
  if (!$fh) {
     echo "<font color=\"red\">Note: nobody is signed up yet.<br></font>\n";
  } else {
     for (;;) {
        $arr = fgetcsv( $fh, 2000 );
        if (!$arr) {
           break;
        }
        $dataarray[$numdatarecs++] = $arr;
     }
     fclose( $fh );
  }
}

// write the 2-dimensional array of data to the data file
function save_datafile() {
  global $datafile, $dataarray, $numdatarecs;
  ignore_user_abort(true);  // prevent user abort from messing up the file
  $fh = fopen( $datafile, "wb" );
  // if open fails, then we've got a problem
  if (!$fh) {
     echo "<font color=\"red\"><b>ERROR: Could not save data!</b><br></font>\n";
  } else {
     $numdeleted = 0;
     for ($ndx=0; $ndx < $numdatarecs; $ndx++) {
        if ($dataarray[$ndx][0] > 0) {  // don't write "slot 0" records -- they are deleted
           fputcsv( $fh, $dataarray[$ndx] );
        } else {
           $numdeleted++;
        }
     }
     fclose( $fh );
     // echo "<font color=\"red\">dbg: Saved " . ($numdatarecs-$numdeleted) . " records.<br></font>\n";
  }
  ignore_user_abort(false);
}

// Fill in the $slotarray[] (which is indexed starting with 1)
// from $dataarray[] (which is indexed starting with 0).
function calculate_slotcounts() {
  global $dataarray, $numdatarecs, $slotarray, $number_of_slots;
  for ($ndx=1; $ndx <= $number_of_slots; $ndx++) {
     $slotarray[$ndx] = 0;
  }
  for ($ndx=0; $ndx < $numdatarecs; $ndx++) {
     $slotnumber = $dataarray[$ndx][0];
     if ($slotnumber != 0) {
        if (($slotnumber < 0) || ($slotnumber > $number_of_slots)) {
           echo "<font color=\"red\"><b>ERROR: dataarray[ndx=$ndx], slot=$slotnumber</b></font><br>\n";
        } else {
           $slotarray[$slotnumber]++;
        }
     }
  }
}

// make a supposed phone number into a simple string of 7 digits
function seven_digit_phone( $numb ) {
   // first make it all digits
   $result = preg_replace( '/[^0-9]/', '', $numb );
   // then just take the last seven
   $result = substr( $result, -7 );
   // echo "dbg: seven_digit_phone('$numb')='$result'<br>\n";
   return $result;
}

// Compute a "key" for matching users.  If there's an email address, that's
// the key (all lower-case).  If there's no email address, but there's a
// phone number, then the key is the 7-digit phone number (sans punctuation)
// with the all lower-case name appended (including spaces, but sans other
// punctuation).
function my_key( $email, $name, $phone ) {
  $result = $email;
  if (!preg_match( '/\w\@\w/', $result )) {
     // $email missing or doesn't look at all like an email address
     $tmp7 = seven_digit_phone( $phone );
     if (strlen($tmp7) != 7) {
        $result = '';  // give up
        // echo "dbg: strlen('$tmp7') != 7<br>\n";
     } else {
        // phone number looks okay, what about the name?
        // Remove everything except letters and spaces:
        $result = preg_replace( '/[^a-zA-Z ]/', '', trim($name) );
        // echo "dbg: r1('$name') = '$result'<br>\n";
        $result = preg_replace( '/\s\s+/', ' ', $result );
        // echo "dbg: r2 = '$result'<br>\n";
        if (strlen($result) < 2) {
           // echo "dbg: too short!<br>\n";
           $result = '';  // give up
        } else {
           $result = $tmp7 . '.' . $result;
           // echo "dbg: r3 = '$result'<br>\n";
        }
     }
  }
  $result = strtolower( $result );
  // echo "dbg: my_key('$email', '$name', '$phone') = '$result'<br>\n";
  return $result;
}


load_datafile();
$changed = 0;

//debug:
// $dataarray[$numdatarecs++] = array(7,'Matthew','Methodist','111-1111','matt@heaven.org','');
// $dataarray[$numdatarecs++] = array(8,'Mark','Presbyterian','111-1111','mark@heaven.org','');
// $dataarray[$numdatarecs++] = array(8,'Luke','Doctors Without Borders','111-1111','luke@heaven.org','');
// $dataarray[$numdatarecs++] = array(10,'John','Baptist','111-1111','john@heaven.org','');

for ($slot=1; $slot <= $number_of_slots; $slot++) {
   $is_signed_up[$slot] = 0;
}

// userkey will be email address or name+phone from user-entered contact info
$userkey = '';

if ($reloaded) {
   // reload mode

   // phpinfo();  // debug

   // This is for both Submit and Report, to initialize the "sign up" checkboxes
   // to show what timeslots this person is signed up for.  (There's no point
   // doing this check if $reloaded is false, because we would have no email
   // address to compare with.)
   $userkey = my_key( $_REQUEST['email'], $_REQUEST['name'], $_REQUEST['phone'] );
   if ('' != $userkey) {
      for ($ndx=0; $ndx < $numdatarecs; $ndx++) {
         $tmpkey = my_key( $dataarray[$ndx][4], $dataarray[$ndx][1], $dataarray[$ndx][3] );
         if ($tmpkey == $userkey) {
            // found a record with matching email address (or matching phone.name)
            $slot = $dataarray[$ndx][0];
            $is_signed_up[$slot] = 1;
         }
      }

      for ($slot=1; $slot <= $number_of_slots; $slot++) {
         $vname = 'slot' . $slot;  // e.g., 'slot12' for timeslot #12
         if (isset($_REQUEST[$vname])) {
            // Either "sign up" or "cancel" was checked for this timeslot
            // echo "dbg: $vname = " . $_REQUEST[$vname] . "<br>\n";
            if ('Submit' == $_REQUEST['gosubmit']) {
               // User clicked "Submit" -- wants to sign up and/or cancel for slot(s)
               if (0 == $_REQUEST[$vname]) {
                  // "cancel" was checked for this timeslot
                  $is_signed_up[$slot] = 0;
                  for ($ndx=0; $ndx < $numdatarecs; $ndx++) {
                     if ($slot == $dataarray[$ndx][0]) {
                        // found a record with matching timeslot number
                        $tmpkey = my_key( $dataarray[$ndx][4], $dataarray[$ndx][1], $dataarray[$ndx][3] );
                        if ($tmpkey == $userkey) {
                           // found a record with matching email address (or phone.name), too!
                           printf( "dbg: delete record, timeslot=$slot, name='%s', email='%s'<br>\n", $dataarray[$ndx][1], $dataarray[$ndx][4] );
                           // zap it by changing the slot number to zero:
                           $dataarray[$ndx][0] = 0;
                           $changed = 1;  // we'll need to re-write the data file
                        }
                     }
                  }
               } else {
                  // $_REQUEST[$vname]=1, so "sign up" was checked for this timeslot
                  $is_signed_up[$slot] = 1;
                  unset($already_signed_up);
                  for ($ndx=0; $ndx < $numdatarecs; $ndx++) {
                     if ($slot == $dataarray[$ndx][0]) {
                        // found a record with matching timeslot number
                        $tmpkey = my_key( $dataarray[$ndx][4], $dataarray[$ndx][1], $dataarray[$ndx][3] );
                        if ($tmpkey == $userkey) {
                           // found a record with matching email address (or phone.name), too!
                           $already_signed_up = $ndx;  // this person is already signed up for this timeslot
                           echo "<font color=red>Note: you were already signed up for timeslot $slot (rec no. $ndx).</font><br>\n";
                           if (($_REQUEST['name'] != $dataarray[$ndx][1])
                               && ('' != $_REQUEST['name'])) {
                              echo '  Name changed from "' . $dataarray[$ndx][1] . '" to "' . $_REQUEST['name'] . "\"<br>\n";
                              $dataarray[$ndx][1] = $_REQUEST['name'];  // change the name
                              $changed = 1;  // we'll need to re-write the data file
                           }
                           if (($_REQUEST['church'] != $dataarray[$ndx][2])
                               && ('' != $_REQUEST['church'])) {
                              echo '  Church changed from "' . $dataarray[$ndx][2] . '" to "' . $_REQUEST['church'] . "\"<br>\n";
                              $dataarray[$ndx][2] = $_REQUEST['church'];  // change the church
                              $changed = 1;  // we'll need to re-write the data file
                           }
                           if (($_REQUEST['phone'] != $dataarray[$ndx][3])
                               && ('' != $_REQUEST['phone'])) {
                              echo '  Phone changed from "' . $dataarray[$ndx][3] . '" to "' . $_REQUEST['phone'] . "\"<br>\n";
                              $dataarray[$ndx][3] = $_REQUEST['phone'];  // change the phone
                              $changed = 1;  // we'll need to re-write the data file
                           }
                           if (($_REQUEST['notes'] != $dataarray[$ndx][5])
                               && ('' != $_REQUEST['notes'])) {
                              echo '  Notes changed from "' . $dataarray[$ndx][5] . '" to "' . $_REQUEST['notes'] . "\"<br>\n";
                              $dataarray[$ndx][5] = $_REQUEST['notes'];  // change the notes
                              $changed = 1;  // we'll need to re-write the data file
                           }
                        }
                     }
                  }
                  if (!isset($already_signed_up)) {
                     // add a new data record
                     $arr = array( $slot, $_REQUEST['name'],
                          $_REQUEST['church'], $_REQUEST['phone'],
                          $_REQUEST['email'], $_REQUEST['notes'] );
                     echo "dbg: add record, timeslot=$arr[0], name='$arr[1]', email='$arr[4]'<br>\n";
                     $dataarray[$numdatarecs++] = $arr;
                     $changed = 1;  // we'll need to re-write the data file
                  }
               }
            }
         }
      }
   }
   // echo "<font color=\"red\">dbg: changed=$changed</font>\n";
   if ($changed) {
      save_datafile();
   }
}


?>


<body>

<font face="Times New Roman, serif">

<center>
<img src="under_construction2.gif"><br>
<font color="red" size="4"><b><i>We think it is working now, but it is brand new, so<br>
please report any problems to </i>Dave<i></i>@<i></i>BurtonSys.com</b></font>
<hr width="465">
<br>&nbsp;<p>
</center>

<center>
<h2>Prayer Vigil Signup for Iraqi Election</h2>
<?php echo "<h3>$churchname</h3>\n"; ?>
</center>
<font face="Arial">&nbsp;<br>
Background: <a href="prayer_coverage3.html"><i>Why are we doing this?</i></a>
<?php
   if ('' != $contact) {
      echo "<br>$contact\n";
   }
?>
<p>
Would you like to <a href="#oneofmyown">make a web page like this one</a> for
your own church or organization?
</font>
<p>&nbsp;<br>

<b><i><a href="http://bible.gospelcom.net/bible?passage=MICAH+6:8">
And what does the LORD require of you?<br>
To act justly and to love mercy and to walk humbly with your God.</a></i><br>
Micah 6:8</b>
<p>

<b><i><a href="http://bible.gospelcom.net/passage/?search=1Thess+5:17&version=9">Pray without ceasing.</a></i><br>
1 Thessalonians 5:17</b>
</font>
<p>

Please sign up for one or more time slots, as you are led.&nbsp; During your
time slot(s), please pray for:<p>
&nbsp;<b>o</b>&nbsp; Peace and security for coalition and Iraqi troops &amp; police, and for the Iraqi voters.<br>
&nbsp;<b>o</b>&nbsp; Wisdom and guidance for America's leaders, both military &amp; civilian.<br>
&nbsp;<b>o</b>&nbsp; Wisdom and courage for the Iraqi voters.<br>
&nbsp;<b>o</b>&nbsp; An orderly &amp; transparent election process that affirms the integrity of the outcome.<br>
&nbsp;<b>o</b>&nbsp; Repentence and salvation for the enemy, and all those who don't know Christ.<br>
&nbsp;<b>o</b>&nbsp; Protection for Iraq's minority Christian community.<br>
&nbsp;<b>o</b>&nbsp; Wisdom, courage, and a deep commitment to justice for the new leaders of Iraq.<br>
&nbsp;<b>o</b>&nbsp; God's Will for the outcome.<br>
&nbsp;<b>o</b>&nbsp; How you can serve, what else you should do for our troops.<br>
&nbsp;<b>o</b>&nbsp; Other matters, as you are led (see <a href="http://prayercentral.net/engage/waystopray/">how-to</a> and <a href="http://prayercentral.net/engage/militaryprayer/">suggestions</a>).<br>
<p>

<?php

if (5==$timezone) {
   printf("Times are EST (U.S. Eastern Standard Time).<br>\n");
   $tz = 'EST';
} elseif (6==$timezone) {
   printf("Times are CST (U.S. Central Standard Time).<br>\n");
   $tz = 'CST';
} elseif (7==$timezone) {
   printf("Times are MST (U.S. Mountain Standard Time).<br>\n");
   $tz = 'MST';
} elseif (8==$timezone) {
   printf("Times are PST (U.S. Pacific Standard Time).<br>\n");
   $tz = 'PST';
} else {
   printf("Times are given in local time (%d hours west of GMT).<br>\n", $timezone);
   $tz = 'local time';
}

printf( "Baghdad time is %d hours \"later\" than $tz (e.g., 9am $tz is %dpm in Baghdad).<p>\n", 3+$timezone, $timezone );

echo "The polls open in Iraq at 7:00am and close at 5:00pm (17:00) Baghdad time on \n";
echo "Sunday, January 30, 2005.&nbsp; ";
printf( "That means that the polls will open at %d:00pm (%d:00) $tz on Saturday, January 29,\n", 16-$timezone, 28-$timezone );
printf( "and close 10 hours later at %d:00am $tz on Sunday, January 30, 2005.<p>\n", 14-$timezone );
?>

We'd like prayer warriors to cover three periods:<br>
<?php
printf ("1)&nbsp; 4 hours prior to voting (poll setup): 1/29, %d-%dpm $tz&nbsp; (orange)<br>\n", 12-$timezone, 16-$timezone );
printf ("2)&nbsp; 10 hours of voting: %dpm Saturday - %dam Sunday $tz&nbsp; (pink)<br>\n", 16-$timezone, 14-$timezone );
printf ("3)&nbsp; 4 hours after voting (shutdown &amp; ballot security): 1/30, %dam-", 14-$timezone );
if ($timezone > 6) {  // MST and PST
   printf("%dam $tz&nbsp; (yellow)<br>\n", 18-$timezone );
} elseif ($timezone == 6) { // CST
   printf("noon $tz&nbsp; (yellow)<br>\n" );
} else { // EST, timezone=5
   printf("%dpm $tz&nbsp; (yellow)<br>\n", 6-$timezone );
}
?>
--------------------<br>
18 hours total&nbsp; (36 half-hour timeslots).<p>

<?php

if ($reloaded) {
   if ('' == $userkey) {
      if ('Report' == $_REQUEST['gosubmit']) {
         if ($_REQUEST['name'] != '') {
            echo "<font color=\"red\"><b>ERROR: You must enter your contact info (or at least your email address) to request a Report.</b></font><br>\n";
         }
      } elseif ('Submit' == $_REQUEST['gosubmit']) {
         // Submit
         echo "<font color=\"red\"><b>ERROR: You must enter your name and contact info to sign up.</b></font><br>\n";
      }
   } else {
      $count = 0;
      for ($slot=1; $slot <= $number_of_slots; $slot++) {
         if ($is_signed_up[$slot]) {
            $count++;
         }
      }

      if ('View Churches' != $_REQUEST['gosubmit']) {
         echo "<a name=\"x\">";  // initial view-position
      }

      echo "<font color=\"red\"><b>You are currently signed up for $count timeslot";
      if ($count != 1) {
         echo "s";
      }
      echo ":</b></font><br>\n";
   }
}


calculate_slotcounts();

echo "\n<!-- ** FORM BEGINS HERE ** -->\n";

echo "<form method=\"post\" action=\"" . $_SERVER['PHP_SELF'] . "#x\">\n";

$daysinmonth = array( 1 => 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 );
?>

<table border=1>
<?php

// display table heading (column captions)
echo "<tr><th>slot</th><th align=\"center\">date, time&nbsp; ($tz)</th><th>no. signed up</th><th>mine</th><th>sign me up!</th><th align=\"center\">cancel</th>\n";

// display each row of the signup table
for ($counter=1; $counter <= $number_of_slots; $counter++) {
  $color = "#FFE0A0";  //orange
  if ($counter > 8) {
     $color = "#FFD0D0";  //pink
  }
  if ($counter > 28) {
     $color = "#FFFFA0";  //yellow
  }
  echo "<tr bgcolor=\"$color\">";

  // COLUMN #1 (slot)
  printf( " <td align=\"right\">%2d&nbsp;</td>\n", $counter );

  // COLUMN #2 (date,time)
  echo " <td>&nbsp;$month/$date, ";
    if (($hour==0) && ($min==0)) {
       echo "midnight";
    } elseif (($hour==12) && ($min==0)) {
       echo "noon ";
    } else {
       printf( "%02d:%02d", $hour, $min );
    }
    $start_min = $min;
    $start_hour = $hour;
    $min += 30;
    if ($min >= 60) {
       $min = 0;
       $hour +=1;
       if ($hour >= 24) {
          $hour = 0;
          $date += 1;
          $daysinmonth = $daysinmonth[$month];
          if ($date > $daysinmonth) {
             $date = 1;
             $month += 1;
             if ($month > 12) {
                $month = 1;
             }
          }
       }
    }
    if (($hour==0) && ($min==30)) {
       echo "-0:30"; // special handling for the midnight-to-0:30 timeslot
    } else {
       printf( "-%02d:%02d", $hour, $min );
    }
    if ((0 == $start_min) && ($start_hour >= 13)) {
       printf( " (%dpm)", $start_hour-12 );
    }
    echo "</td>\n";

  // COLUMN #3 (no. signed up)
  printf (" <td align=\"center\">%d</td>\n", $slotarray[$counter] );

  // COLUMN #4 (mine)
  if ($is_signed_up[$counter]) {
     echo " <td align=\"center\"><b>X</b></td>\n";
  } else {
     echo " <td>&nbsp;</td>\n";
  }

  // COLUMN #5 (sign me up!)
  echo " <td><input type=\"checkbox\" name=\"slot$counter\" value=\"1\"";
    echo " />sign up</td>\n";

  // COLUMN #6 (cancel)
  echo " <td><input type=\"checkbox\" name=\"slot$counter\" value=\"0\"";
    if (0 == $slotarray[$counter]) {
       // disable/grey-out the "cancel" checkbox if nobody is signed up for this timeslot
       echo " disabled /><font color=\"#808080\">cancel</font>&nbsp;</td>\n";
    } else {
       echo " />cancel&nbsp;</td>\n";
    }
  echo "</tr>\n";
}
?>
</table>
<br>

<b>Contact info:</b><br>
Your name: <input name="name" type="text" size="60" maxlength="80"
  <?php if ($reloaded) { echo '  value="' . $_REQUEST['name'] . '"'; } ?>
 /><br>
Your church: <input name="church" type="text" size="59" maxlength="80"
  <?php if ($reloaded) { echo '  value="' . $_REQUEST['church'] . '"'; } ?>
 /><br>
Your phone number: <input name="phone" type="text" size="15" maxlength="80"
  <?php if ($reloaded) { echo '  value="' . $_REQUEST['phone'] . '"'; } ?>
 /><br>
Your email address: <input name="email" type="text" size="50" maxlength="80"
  <?php if ($reloaded) { echo '  value="' . $_REQUEST['email'] . '"'; } ?>
 /><br>
Notes/comments: <input name="notes" type="text" size="72" maxlength="256"
  <?php if ($reloaded) { echo '  value="' . $_REQUEST['notes'] . '"'; } ?>
 /><br>
<p>

<b>Ready to sign up?</b><br>
Check your chosen timeslot(s) in column five, fill in your contact info,
then click here.&nbsp; (You can also cancel timeslots that you had
previously signed up for, by checking them in column six.)<br>
<input type="submit" name="gosubmit" value="Submit">&nbsp; <font size=-1>Note: please make sure that your email address is right!</font>
<p>

<b>Can't remember what timeslots you signed up for?</b><br>
Fill in your email address then click here:<br>
<input type="submit" name="gosubmit" value="Report">&nbsp; <font size=-1>Note: email address should match exactly!</font><br>
(If you click the Report button without filling in contact info, it'll just
refresh the page.)
<p>

<b>Want to see the list of churches these prayer warriors attend?</b><br>
<input type="submit" name="gosubmit" value="View Churches">
<p>

</form>
<!-- ** FORM ENDS HERE ** -->

<?php
if ($reloaded && ('View Churches' == $_REQUEST['gosubmit'])) {
?>

<p>&nbsp;<br>
<hr><a name="x"><h4>Churches:</h4>
<font size="-1">

<?php
   for ($ndx=0; $ndx < $numdatarecs; $ndx++) {
      $church = $dataarray[$ndx][2];
      if ('' != $church) {
         if (!isset($churchhash[$church])) {
            echo "$church<br>\n";
            $churchhash[$church] = 1;
         }
      }
   }
?>
  </font>
<?php
}
?>

<p>&nbsp;<br>

<hr><a name="faq"><h4>Frequently Asked Questions:</h4>
<font size="-1">
<b>Q: Why can't I see who else has signed up?<br>
A: </b><font face="Times New Roman, serif"><b><a href="http://bible.gospelcom.net/bible?passage=MATT+6:5-6">Matthew 6:5-6</a></b></font>
<p>

<a name="oneofmyown">
<b>Q: How hard would it be to make a page like this for my church?<br>
A: </b>Very easy!&nbsp;  This web page is just a simple PHP script, which you
can rename to whatever you wish and put onto any web server that supports
PHP 4.1.0 or later.&nbsp;  Just download the PHP source code file, make a
few very simple edits (change the organization name and contact person,
the name of the data file, and perhaps the time zone), and put it on your
server.&nbsp;  That's all there is to it.&nbsp;  Or, if you prefer, Dave will
host it on his web server for you for free (contact him at 1-919-481-0149 or
dave<i></i>@<i></i>burtonsys.com).
<p>

<b>Q: Where can I get the PHP source code?<br>
A: </b><a href="http://www.burtonsys.com/download/prayer_coverage.zip">http://www.burtonsys.com/download/prayer_coverage.zip</a>.&nbsp;
(But it would be a good idea to call or email Dave and make sure you are
getting the latest and greatest version.)
<p>

<b>Q: How can I sign up someone who has no email address?<br>
A: </b>Leave the email address blank, but enter the name and phone number.&nbsp;
However, to later use the "Report" or "Cancel" features both the name and
phone number will have to match exactly what you entered when you signed up.
<p>
</font>
<font size="+2">
<p>&nbsp;<p>&nbsp;<p>&nbsp;<p>&nbsp;
<p>&nbsp;<p>&nbsp;<p>&nbsp;<p>&nbsp;
<p>&nbsp;<p>&nbsp;<p>&nbsp;<p>&nbsp;
<p>&nbsp;<p>&nbsp;<p>&nbsp;<p>&nbsp;
<p>&nbsp;<p>&nbsp;<p>&nbsp;<p>&nbsp;<p></font>

</body></html>







































